Subject: Re: bug#41659: 28.0.50; smime: encryption uses now base64, message not readable

From: Uwe Brauer <[email-masked]>
Date: Thu, 23 Jul 2020 18:16:51 +0200

>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:

   > Uwe Brauer <[email-masked]> writes:
   >> I came that far, then I simply tried not to insert that header but then
   >> I could not encrypt those message, but I don't even understand the whole code.

   > That's odd, because that code is just used when viewing messages, not
   > when sending, I think?

I think what was my mistake.

I simple took the actual code and 
;; 	  (goto-char (point-min))
;; 	  (insert "Content-type: text/plain\n\n")

While you put
	    (unless (mail-fetch-field "content-type")
	      (goto-char (point-max))
	      (insert "Content-type: text/plain\n\n")))

Which is the right one.

So I only could  code I used to work by basically scrap most of the
changes you did back in August last year.